<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.vctgo</groupId>
        <artifactId>vctgo-modules</artifactId>
        <version>1.2.2</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>vctgo-file</artifactId>

    <description>
        vctgo-file文件服务
    </description>

    <dependencies>

    	<!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- FastDFS -->
<!--        <dependency>-->
<!--            <groupId>com.github.tobato</groupId>-->
<!--            <artifactId>fastdfs-client</artifactId>-->
<!--        </dependency>-->

        <!-- Minio -->
        <dependency>
            <groupId>io.minio</groupId>
            <artifactId>minio</artifactId>
            <version>${minio.version}</version>
        </dependency>

        <!-- vctgo Api System -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-api-system</artifactId>
        </dependency>

        <!-- vctgo Common Swagger -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-swagger</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.vctgo</groupId>-->
<!--            <artifactId>vctgo-common-mybatisplus</artifactId>-->
<!--        </dependency>-->

        <!-- Mysql Connector -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <!-- vctgo Common DataSource -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-datasource</artifactId>
        </dependency>

        <!-- vctgo Common DataScope -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-datascope</artifactId>
        </dependency>

        <!-- vctgo Common Redis -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-redis</artifactId>
        </dependency>

        <!-- vctgo Common Log -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-log</artifactId>
        </dependency>

        <!-- vctgo Common tenant -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-mybatisplus</artifactId>
        </dependency>

        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-message</artifactId>
        </dependency>

        <!-- vctgo Common Swagger -->
        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-swagger</artifactId>
        </dependency>

        <!-- Swagger UI -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>${swagger.fox.version}</version>
        </dependency>

        <dependency>
            <groupId>com.vctgo</groupId>
            <artifactId>vctgo-common-seata</artifactId>
        </dependency>

        <!--解决SpringCloud 组件feign默认是不支持传递文件的-->
        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form-spring</artifactId>
            <version>3.6.0</version>
        </dependency>
        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form</artifactId>
            <version>3.6.0</version>
        </dependency>
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
            <version>1.3.3</version>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.3.3.RELEASE</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
